Package org.apache.sling.junit.remote.exported

# Class ExampleRemoteTest

java.lang.Object
org.apache.sling.junit.remote.exported.ExampleRemoteTest

public class ExampleRemoteTest extends Object
Test that can be run remotely on a Sling instance from an IDE, by setting the
invalid reference

    SlingRemoteExecutionRule.SLING_REMOTE_TEST_URL

system property in the IDE setup, to the URL of the Sling JUnit servlet (like http://localhost:8080/system/sling/junit)

## Field Summary

Fields
Modifier and Type
Field
Description
`SlingRemoteExecutionRule`
`execRule`
Execute this test remotely and customize the request (could be used to set credentials for example)

## Constructor Summary

Constructors
Constructor
Description
`ExampleRemoteTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`testAlwaysFails()`
`void`
`testAlwaysPasses()`
`void`
`testFailsSometimes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### execRule

public SlingRemoteExecutionRule execRule
Execute this test remotely and customize the request (could be used to set credentials for example)

## Constructor Details

### ExampleRemoteTest

public ExampleRemoteTest()

## Method Details

### testAlwaysPasses

public void testAlwaysPasses()

### testAlwaysFails

public void testAlwaysFails()

### testFailsSometimes

public void testFailsSometimes()